Subject: Re: [PATCH] ip: Make errors direct to "list" instead of "show"

From: Yedaya <[email-masked]>
Date: Mon, 25 Mar 2024 23:45:05 +0200

On Mon, Mar 25, 2024 at 02:19:20PM -0700, Stephen Hemminger wrote:
> On Mon, 25 Mar 2024 22:48:37 +0200
> Yedaya Katsman <[email-masked]> wrote:
> 
> > The usage text and man pages only have "list" in them, but the errors
> > when using "ip ila list" and "ip addrlabel list" incorrectly direct to
> > running the "show" subcommand. Make them consistent by mentioning "list"
> > instead.
> > 
> > Signed-off-by: Yedaya Katsman <[email-masked]>
> 
> That is because ip command treats "list" and "show" the same.
> Would it be better to do the same in all sub commands?
>
I'm not sure what else you're talking about changing, I couldn't find
anywhere where a "show" is referenced in output. Do you mean treating
"show" and "list" the same everywhere?